<template>
    <div
        :class="
            first
                ? 'tab-pane table-responsive active'
                : 'tab-pane table-responsive'
        "
        :id="'user' + clave"
    >
        <table class="table m-b-0 table-hover">
            <thead>
                <tr>
                    <th>{{field.user_id}}</th>
                    <th>{{field.firstname}}</th>
                    <th>{{field.lastname}}</th>
                    <th>{{field.email}}</th>
                    <th>{{field.verification}}</th>
                    <th>{{field.action}}</th>
                </tr>
            </thead>
            <tbody>
                <tr v-for="user of users" :key="user.id">
                    <td>
                        <span class="list-name"
                            >AC {{
                                user.id < 10
                                    ? "000" + user.id
                                    : user.id < 100
                                    ? "00" + user.id
                                    : user.id < 1000
                                    ? "0" + user.id
                                    : user.id
                            }}</span
                        >
                    </td>
                    <td>{{user.firstname}}</td>
                    <td>{{ user.lastname }}</td>
                    <td>{{user.email}}</td>
                    <td> <span v-if="user.email_verified_at" class='badge badge-success'>{{ field.verified }}</span> <span v-if="!user.email_verified_at" class='badge badge-warning'>{{field.non_verified}}</span></td>
                    <td><a :href="'/administrative/users/' + user.id" class="btn btn-primary btn-small">{{field.edit}}</a></td>
                    
                </tr>
            </tbody>
        </table>
    </div>
</template>
<script>
export default {
    props: ["lang", "user", "clave", "active"],
    mounted() {
        console.log(this.first);
    },
    data() {
        return {
            first: this.active,
            field: this.lang,
            users: this.user,
            key: this.key
        };
    }
};
</script>
<style></style>
